SDL_GPUTransferBufferLocation(3type)

NAME
SDL_GPUTransferBufferLocation - A structure specifying a location in a transfer buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUTransferBufferLocation
{
    SDL_GPUTransferBuffer *transfer_buffer;  /**< The transfer buffer used in the transfer operation. */
    Uint32 offset;                           /**< The starting byte of the buffer data in the transfer buffer. */
} SDL_GPUTransferBufferLocation;

DESCRIPTION
Used when transferring buffer data to or from a transfer buffer.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_UploadToGPUBuffer(3), SDL_DownloadFromGPUBuffer(3)